> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudidr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Renew Capacity

> Update auto-renewal configuration for a capacity policy.



## OpenAPI

````yaml /api-reference/flex-compute/flex-api.json put /external/api/v1/flexcompute/capacity/auto-renewal
openapi: 3.1.0
info:
  title: Cloudidr FlexCompute API
  description: API for managing compute schedule policies and capacity reservations.
  version: 1.0.0
servers:
  - url: https://public-api.cloudidr.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /external/api/v1/flexcompute/capacity/auto-renewal:
    put:
      summary: Renew Capacity
      description: Update auto-renewal configuration for a capacity policy.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - cidrId
              properties:
                cidrId:
                  type: string
                  description: Policy/Capacity ID (e.g., sc_830349911839)
                autoRenewalEnabled:
                  type: boolean
                  default: false
                  description: Enables auto-renewal for the policy
                frequency:
                  type: string
                  enum:
                    - one-day
                    - one-week
                    - one-month
                  description: >-
                    Auto-renewal frequency (required when autoRenewalEnabled is
                    true)
            example:
              cidrId: sc_238017929606
              autoRenewalEnabled: true
              frequency: one-week
      responses:
        '200':
          description: Success - Auto-renewal configuration updated
          content:
            application/json:
              example:
                message: >-
                  Successfully update auto renewal information for policy
                  sc_238017929606
        '400':
          description: Bad Request - Invalid parameters
          content:
            application/json:
              example:
                error:
                  code: '400'
                  message: Bad Request
                  details:
                    timestamp: '2026-01-11T01:28:16'
                    description: >-
                      JSON parse error: Cannot deserialize value of type
                      java.lang.Boolean from String "true123": only "true" or
                      "false" recognized
        '401':
          description: Unauthorized - Unable to process access token
          content:
            application/json:
              example:
                error:
                  code: '401'
                  message: Unauthorized
                  details:
                    timestamp: '2025-03-04T17:01:01'
                    description: Unable to process access token
        '404':
          description: >-
            Not Found - The specified cidr_id does not correspond to any
            existing schedule policy
          content:
            application/json:
              example:
                error:
                  code: '404'
                  message: Not Found
                  details:
                    timestamp: '2026-01-08T14:43:14'
                    description: >-
                      Supported instance type c5.large1 and platform Linux/UNIX
                      not found
        '500':
          description: Internal Server Error - Unexpected error occurred
          content:
            application/json:
              example:
                error:
                  code: '500'
                  message: Internal Server Error
                  details:
                    timestamp: '2025-03-04T17:17:08'
                    description: Unexpected error. Our team is working on it
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````